ENV(1)

NAVN
env - run a program in a modified environment

SYNOPSIS
env [FLAG]... [-] [NAVN=VÆRDI]... [KOMMANDO [ARG]...]

BESKRIVELSE

Sæt hvert NAVN til VÆRDI i miljøet og kør KOMMANDO.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-i, --ignore-environment
    start uden miljøvariable

-0, --null
    afslut hver udlinje med NUL frem for linjeskift

-u, --unset=NAVN
    fjern miljøvariablen NAVN

-C, --chdir=KAT
    ændr arbejdskatalog til KAT

-S, --split-string=S
    behandl og opdel S i adskilte argumenter; bruges til at give flere argumenter i shebang-linjer

--block-signal[=SIG]
    blokér levering af SIG-signaler til KOMMANDO

--default-signal[=SIG]
    nulstil håndtering af SIG-signaler til standard

--ignore-signal[=SIG]
    sæt håndtering af SIG-signaler til ingenting

--list-signal-handling
    vis ændrede indstillinger for signaler på stderr

-v, --debug
    vis uddybende information om hvert trin i behandling

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

En - for sig selv medfører -i. Hvis ingen KOMMANDO er angivet, udskriv det resulterende miljø.

SIG kan være et signalnavn såsom "PIPE" eller et signalnummer såsom "13". Uden SIG medtages alle kendte signaler. Signaler kan adskilles med komma.

TILVALG

  -S/--split-string usage in scripts
The -S option allows specifying multiple parameters in a script. Running a script named 1.pl containing the following first line:

    #!/usr/bin/env -S perl -w -T
    ...

Will execute perl -w -T 1.pl .

Without the '-S' parameter the script will likely fail with:

    /usr/bin/env: 'perl -w -T': No such file or directory

See the full documentation for more details.

  --default-signal[=SIG] usage
This option allows setting a signal handler to its default action, which is not possible using the traditional shell trap command. The following example ensures that seq will be terminated by SIGPIPE no matter how this signal is being handled in the process invoking the command.

    sh -c 'env --default-signal=PIPE seq inf | head -n1'

NOTER
POSIX's exec(2) pages says:
    "many existing applications wrongly assume that they start with certain signals set to the default action and/or unblocked.... Therefore, it is best not to block or ignore signals across execs without explicit reason to do so, and especially not to block signals across execs of arbitrary (not closely cooperating) programs."

FORFATTER
Skrevet af Richard Mlynarik, David MacKenzie og Assaf Gordon.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
sigaction(2), sigprocmask(2), signal(7)

Fuld dokumentation <https://www.gnu.org/software/coreutils/env>
eller lokalt tilgængelig via: info '(coreutils) env invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.